import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudbrokerComputeStopMigrationInResultStr(
    _base.BaseAPIResultStr,
):
    pass


class CloudbrokerComputeStopMigrationInProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def stop_migration_in(
        self,
        *,
        vm_id: int,
        new_vm_uuid: str | None = None,
        os_users: list[_nested.OSUserAPIParamsNM] | None = None,
    ) -> CloudbrokerComputeStopMigrationInResultStr:
        ...
